org.firebirdsql.gds.ng.wire.version16

## Class V16Statement

- java.lang.Object
- - org.firebirdsql.gds.ng.AbstractFbStatement
  - - org.firebirdsql.gds.ng.wire.AbstractFbWireStatement
    - - org.firebirdsql.gds.ng.wire.version10.V10Statement
      - - org.firebirdsql.gds.ng.wire.version11.V11Statement
        - - org.firebirdsql.gds.ng.wire.version12.V12Statement
          - - org.firebirdsql.gds.ng.wire.version13.V13Statement
            - - org.firebirdsql.gds.ng.wire.version16.V16Statement

All Implemented Interfaces:
  FbStatement, ExceptionListenable, FbWireStatement

    public class V16Statement
    extends V13Statement

Since:
  4.0
Author:
  Mark Rotteveel

### Field Summary

### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbStatement

`exceptionListenerDispatcher, statementListenerDispatcher`

### Constructor Summary

Constructors
Constructor and Description
`V16Statement(FbWireDatabase database)` Creates a new instance of V15Statement for the specified database.

### Method Summary

Methods
`protected void` `sendExecute(int operation, RowValue parameters)` Sends the execute (for `op_execute` or `op_execute2`) to the database.

### Methods inherited from class org.firebirdsql.gds.ng.wire.version13.V13Statement

`readSqlData, writeSqlData`

### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11Statement

`free, prepare`

### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10Statement

`doFreePacket, execute, fetchRows, getDefaultSqlInfoSize, getMaxSqlInfoSize, getSqlInfo, processAllocateResponse, processExecuteResponse, processExecuteSingletonResponse, processFetchResponse, processFreeResponse, processInfoSqlResponse, processPrepareResponse, readColumnData, sendAllocate, sendFetch, sendFree, sendInfoSql, sendPrepare, setCursorName, writeColumnData`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireStatement

`calculateBlr, calculateBlr, close, emptyRowDescriptor, getDatabase, getHandle, getXdrIn, getXdrOut, isValidTransactionClass, setHandle`

### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbStatement

`addExceptionListener, addStatementListener, checkStatementValid, checkStatementValid, closeCursor, closeCursor, createExecutionPlanProcessor, createSqlCountProcessor, ensureClosedCursor, finalize, getAllowedTimeout, getExecutionPlan, getExplainedExecutionPlan, getFieldDescriptor, getParameterDescriptionInfoRequestItems, getParameterDescriptor, getRowDescriptor, getSqlCounts, getSqlInfo, getState, getStatementInfoRequestItems, getStatementWarningCallback, getSynchronizationObject, getTimeout, getTransaction, getTransactionListener, getType, hasFields, hasSingletonResult, isAllRowsFetched, isPrepareAllowed, parseStatementInfo, queueRowData, removeExceptionListener, removeStatementListener, reset, reset, resetAll, setAllRowsFetched, setFieldDescriptor, setParameterDescriptor, setRowDescriptor, setTimeout, setTransaction, setType, signalExecute, signalFetch, switchState, validateParameters`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ng.FbStatement

`addStatementListener, close, closeCursor, closeCursor, emptyRowDescriptor, ensureClosedCursor, getDatabase, getExecutionPlan, getExplainedExecutionPlan, getFieldDescriptor, getHandle, getParameterDescriptor, getRowDescriptor, getSqlCounts, getSqlInfo, getState, getTimeout, getTransaction, getType, removeStatementListener, setTimeout, setTransaction, validateParameters`

### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

`addExceptionListener, removeExceptionListener`

### Constructor Detail

#### V16Statement

    public V16Statement(FbWireDatabase database)

Creates a new instance of V15Statement for the specified database.

Parameters:
  `database` - FbWireDatabase implementation

### Method Detail

#### sendExecute

    protected void sendExecute(int operation,
                   RowValue parameters)
                        throws java.io.IOException,
                               java.sql.SQLException

Description copied from class: `V10Statement`
Sends the execute (for `op_execute` or `op_execute2`) to the database.

Overrides:
  `sendExecute` in class `V10Statement`
Parameters:
  `operation` - Operation (`op_execute` or `op_execute2`)
  `parameters` - Parameters
Throws:
  `java.io.IOException`
  `java.sql.SQLException`